/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002-03 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.util;

public class QualifiedNameKey
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private String m_namespace;
  private String m_name;

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  public QualifiedNameKey(String namespace, String name)
  {
    m_namespace = namespace;
    m_name = name;

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Overrides from class Object
   *--------------------------------------------------------------------------------
   */

  public boolean equals(Object o)
  {
    if ((o==null) || !(o instanceof QualifiedNameKey))
      return false;
    QualifiedNameKey other = (QualifiedNameKey)o;
    return (m_namespace.equals(other.m_namespace) && m_name.equals(other.m_name));

  } // end equals

  public int hashCode()
  {
    return m_namespace.hashCode() ^ m_name.hashCode();

  } // end hashCode

  public String toString()
  {
    return m_namespace + "::" + m_name;

  } // end toString

  /*--------------------------------------------------------------------------------
   * External operations
   *--------------------------------------------------------------------------------
   */

  public String getNamespace()
  {
    return m_namespace;

  } // end getNamespace

  public final String getName()
  {
    return m_name;

  } // end getName

} // end class QualifiedNameKey
